com.fasterxml.jackson.dataformat.yaml.util

## Class StringQuotingChecker.Default

- java.lang.Object
- - com.fasterxml.jackson.dataformat.yaml.util.StringQuotingChecker
  - - com.fasterxml.jackson.dataformat.yaml.util.StringQuotingChecker.Default

All Implemented Interfaces:
  Serializable

Enclosing class:
  StringQuotingChecker

    public static class StringQuotingChecker.Default
    extends StringQuotingChecker
    implements Serializable

Default `StringQuotingChecker` implementation used unless custom implementation registered.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.dataformat.yaml.util.StringQuotingChecker

`StringQuotingChecker.Default`

### Constructor Summary

Constructors
Constructor and Description
`Default()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static StringQuotingChecker.Default` `instance()`
`boolean` `needToQuoteName(String name)` Default implementation will call `StringQuotingChecker.isReservedKeyword(String)` and `StringQuotingChecker.looksLikeYAMLNumber(String)` to determine if quoting should be applied.
`boolean` `needToQuoteValue(String value)` Default implementation will call `StringQuotingChecker.isReservedKeyword(String)` and `StringQuotingChecker.valueHasQuotableChar(String)` to determine if quoting should be applied.

### Methods inherited from class com.fasterxml.jackson.dataformat.yaml.util.StringQuotingChecker

`_isReservedKeyword, _looksLikeYAMLNumber, isReservedKeyword, looksLikeYAMLNumber, valueHasQuotableChar`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Default

    public Default()

### Method Detail

#### instance

    public static StringQuotingChecker.Default instance()

#### needToQuoteName

    public boolean needToQuoteName(String name)

Default implementation will call `StringQuotingChecker.isReservedKeyword(String)` and `StringQuotingChecker.looksLikeYAMLNumber(String)` to determine if quoting should be applied.

Specified by:
  `needToQuoteName` in class `StringQuotingChecker`

#### needToQuoteValue

    public boolean needToQuoteValue(String value)

Default implementation will call `StringQuotingChecker.isReservedKeyword(String)` and `StringQuotingChecker.valueHasQuotableChar(String)` to determine if quoting should be applied.

Specified by:
  `needToQuoteValue` in class `StringQuotingChecker`